Security Enhanced Linux Reference Policy

# Layer: services

## Module: xfs

Interfaces

### Description:

X Windows Font Server.

### Interfaces:

xfs_admin( domain , role )

##### Summary

All of the rules required to administrate an xfs environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

xfs_create_tmp_dirs( domain )

##### Summary

Create xfs temporary dirs

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xfs_exec( domain )

##### Summary

Execute xfs in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xfs_read_sockets( domain )

##### Summary

Read xfs temporary sock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xfs_stream_connect( domain )

##### Summary

Connect to xfs with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return